diff --git a/include/configs/CPC45.h b/include/configs/CPC45.h
index 6a88d26..17282aa 100644
--- a/include/configs/CPC45.h
+++ b/include/configs/CPC45.h
@@ -151,9 +151,6 @@
  * Definitions for initial stack pointer and data area
  */
 
-/* Size in bytes reserved for initial data
- */
-
 #define CONFIG_SYS_INIT_RAM_ADDR	0x40000000
 #define CONFIG_SYS_INIT_RAM_SIZE	0x1000
 #define CONFIG_SYS_GBL_DATA_OFFSET	(CONFIG_SYS_INIT_RAM_SIZE - GENERATED_GBL_DATA_SIZE)
diff --git a/include/configs/CU824.h b/include/configs/CU824.h
index a5c2ce5..e2229b0 100644
--- a/include/configs/CU824.h
+++ b/include/configs/CU824.h
@@ -139,9 +139,6 @@
  * Definitions for initial stack pointer and data area
  */
 
-	/* Size in bytes reserved for initial data
-	 */
-
 #define CONFIG_SYS_INIT_RAM_ADDR     0x40000000
 #define CONFIG_SYS_INIT_RAM_SIZE      0x1000
 #define CONFIG_SYS_GBL_DATA_OFFSET  (CONFIG_SYS_INIT_RAM_SIZE - GENERATED_GBL_DATA_SIZE)
diff --git a/include/configs/MigoR.h b/include/configs/MigoR.h
index 7d9368c..812759d 100644
--- a/include/configs/MigoR.h
+++ b/include/configs/MigoR.h
@@ -99,7 +99,6 @@
 #define CONFIG_SYS_MONITOR_LEN	(128 * 1024)
 /* Size of DRAM reserved for malloc() use */
 #define CONFIG_SYS_MALLOC_LEN	(256 * 1024)
-/* size in bytes reserved for initial data */
 #define CONFIG_SYS_BOOTMAPSZ	(8 * 1024 * 1024)
 
 /* FLASH */
diff --git a/include/configs/PCIPPC2.h b/include/configs/PCIPPC2.h
index e778c59..b2b94b4 100644
--- a/include/configs/PCIPPC2.h
+++ b/include/configs/PCIPPC2.h
@@ -138,9 +138,6 @@
  * Definitions for initial stack pointer and data area
  */
 
-/* Size in bytes reserved for initial data
- */
-
 #define CONFIG_SYS_INIT_RAM_ADDR     0x40000000
 #define CONFIG_SYS_INIT_RAM_SIZE      0x8000
 #define CONFIG_SYS_GBL_DATA_OFFSET  (CONFIG_SYS_INIT_RAM_SIZE - GENERATED_GBL_DATA_SIZE)
diff --git a/include/configs/PCIPPC6.h b/include/configs/PCIPPC6.h
index 48911b7..c126605 100644
--- a/include/configs/PCIPPC6.h
+++ b/include/configs/PCIPPC6.h
@@ -140,9 +140,6 @@
  * Definitions for initial stack pointer and data area
  */
 
-/* Size in bytes reserved for initial data
- */
-
 #define CONFIG_SYS_INIT_RAM_ADDR     0x40000000
 #define CONFIG_SYS_INIT_RAM_SIZE      0x8000
 #define CONFIG_SYS_GBL_DATA_OFFSET  (CONFIG_SYS_INIT_RAM_SIZE - GENERATED_GBL_DATA_SIZE)
diff --git a/include/configs/PMC405.h b/include/configs/PMC405.h
index c2db5ea..0f44e64 100644
--- a/include/configs/PMC405.h
+++ b/include/configs/PMC405.h
@@ -330,7 +330,6 @@
 /* End of used area in RAM */
 #define CONFIG_SYS_INIT_RAM_SIZE		CONFIG_SYS_OCM_DATA_SIZE
 
-/* size in bytes reserved for initial data */
 #define CONFIG_SYS_GBL_DATA_OFFSET	(CONFIG_SYS_INIT_RAM_SIZE - \
 					 GENERATED_GBL_DATA_SIZE)
 #define CONFIG_SYS_INIT_SP_OFFSET	CONFIG_SYS_GBL_DATA_OFFSET
diff --git a/include/configs/a320evb.h b/include/configs/a320evb.h
index 27f137f..d52caed 100644
--- a/include/configs/a320evb.h
+++ b/include/configs/a320evb.h
@@ -108,10 +108,6 @@
 #define CONFIG_SYS_MALLOC_LEN		(CONFIG_ENV_SIZE + 128 * 1024)
 
 /*-----------------------------------------------------------------------
- * size in bytes reserved for initial data
-*/
-
-/*-----------------------------------------------------------------------
  * SDRAM controller configuration
  */
 #define CONFIG_SYS_FTSDMC020_TP0	(FTSDMC020_TP0_TRAS(2) |	\
diff --git a/include/configs/actux1.h b/include/configs/actux1.h
index 8886eff..8121b27 100644
--- a/include/configs/actux1.h
+++ b/include/configs/actux1.h
@@ -54,7 +54,6 @@
  * Size of malloc() pool
  */
 #define CONFIG_SYS_MALLOC_LEN			(CONFIG_ENV_SIZE + 128*1024)
-/* size in bytes reserved for initial data */
 
 /* allow to overwrite serial and ethaddr */
 #define CONFIG_ENV_OVERWRITE
diff --git a/include/configs/actux2.h b/include/configs/actux2.h
index 756279e..8ab3b19 100644
--- a/include/configs/actux2.h
+++ b/include/configs/actux2.h
@@ -45,7 +45,6 @@
 
 /* Size of malloc() pool */
 #define CONFIG_SYS_MALLOC_LEN			(CONFIG_ENV_SIZE + 128*1024)
-/* size in bytes reserved for initial data */
 
 /* allow to overwrite serial and ethaddr */
 #define CONFIG_ENV_OVERWRITE
diff --git a/include/configs/actux3.h b/include/configs/actux3.h
index ad9173f..91987cb 100644
--- a/include/configs/actux3.h
+++ b/include/configs/actux3.h
@@ -45,7 +45,6 @@
 
 /* Size of malloc() pool */
 #define CONFIG_SYS_MALLOC_LEN			(CONFIG_ENV_SIZE + 128*1024)
-/* size in bytes reserved for initial data */
 
 /* allow to overwrite serial and ethaddr */
 #define CONFIG_ENV_OVERWRITE
diff --git a/include/configs/actux4.h b/include/configs/actux4.h
index 04145c3..6718921 100644
--- a/include/configs/actux4.h
+++ b/include/configs/actux4.h
@@ -45,7 +45,6 @@
 
 /* Size of malloc() pool */
 #define CONFIG_SYS_MALLOC_LEN			(CONFIG_ENV_SIZE + 128*1024)
-/* size in bytes reserved for initial data */
 
 /* allow to overwrite serial and ethaddr */
 #define CONFIG_ENV_OVERWRITE
diff --git a/include/configs/am3517_evm.h b/include/configs/am3517_evm.h
index 70e8f07..faa1744 100644
--- a/include/configs/am3517_evm.h
+++ b/include/configs/am3517_evm.h
@@ -61,7 +61,6 @@
  */
 #define CONFIG_ENV_SIZE			(128 << 10)	/* 128 KiB sector */
 #define CONFIG_SYS_MALLOC_LEN		(CONFIG_ENV_SIZE + (128 << 10))
-						/* initial data */
 /*
  * DDR related
  */
diff --git a/include/configs/ap325rxa.h b/include/configs/ap325rxa.h
index 711dd3c..45126c7 100644
--- a/include/configs/ap325rxa.h
+++ b/include/configs/ap325rxa.h
@@ -113,7 +113,6 @@
 #define CONFIG_SYS_MONITOR_LEN	(128 * 1024)
 /* Size of DRAM reserved for malloc() use */
 #define CONFIG_SYS_MALLOC_LEN	(256 * 1024)
-/* size in bytes reserved for initial data */
 #define CONFIG_SYS_BOOTMAPSZ	(8 * 1024 * 1024)
 
 /* FLASH */
diff --git a/include/configs/apollon.h b/include/configs/apollon.h
index aa74462..3364ec0 100644
--- a/include/configs/apollon.h
+++ b/include/configs/apollon.h
@@ -78,7 +78,6 @@
 #define	CONFIG_ENV_SIZE SZ_128K	/* Total Size of Environment Sector */
 #define CONFIG_ENV_SIZE_FLEX SZ_256K
 #define	CONFIG_SYS_MALLOC_LEN	(CONFIG_ENV_SIZE + SZ_1M)
-/* bytes reserved for initial data */
 
 /*
  * Hardware drivers
diff --git a/include/configs/at91rm9200ek.h b/include/configs/at91rm9200ek.h
index 810023a..d2bf4b7 100644
--- a/include/configs/at91rm9200ek.h
+++ b/include/configs/at91rm9200ek.h
@@ -220,7 +220,6 @@
  */
 #define CONFIG_SYS_MALLOC_LEN		ROUND(3 * CONFIG_ENV_SIZE + SZ_128K, \
 					     SZ_4K)
-/* size in bytes reserved for initial data */
 
 #define CONFIG_SYS_INIT_SP_ADDR		(CONFIG_SYS_SDRAM_BASE + SZ_4K \
 					- GENERATED_GBL_DATA_SIZE)
diff --git a/include/configs/cm_t35.h b/include/configs/cm_t35.h
index 510c6d4..37de97b 100644
--- a/include/configs/cm_t35.h
+++ b/include/configs/cm_t35.h
@@ -82,7 +82,6 @@
 #define CONFIG_ENV_SIZE			(128 << 10)	/* 128 KiB */
 						/* Sector */
 #define CONFIG_SYS_MALLOC_LEN		(CONFIG_ENV_SIZE + (128 << 10))
-						/* initial data */
 
 /*
  * Hardware drivers
diff --git a/include/configs/devkit8000.h b/include/configs/devkit8000.h
index d898b77..d56be14 100644
--- a/include/configs/devkit8000.h
+++ b/include/configs/devkit8000.h
@@ -65,7 +65,6 @@
 #define CONFIG_ENV_SIZE			(128 << 10)	/* 128 KiB */
 						/* Sector */
 #define CONFIG_SYS_MALLOC_LEN		(CONFIG_ENV_SIZE + (128 << 10))
-						/* initial data */
 
 /* Hardware drivers */
 
diff --git a/include/configs/edminiv2.h b/include/configs/edminiv2.h
index a75f06a..d9ed63f 100644
--- a/include/configs/edminiv2.h
+++ b/include/configs/edminiv2.h
@@ -204,7 +204,6 @@
  * Size of malloc() pool
  */
 #define CONFIG_SYS_MALLOC_LEN	(1024 * 128) /* 128kB for malloc() */
-/* size in bytes reserved for initial data */
 
 /*
  * Other required minimal configurations
diff --git a/include/configs/espt.h b/include/configs/espt.h
index ad3c335..74daeb0 100644
--- a/include/configs/espt.h
+++ b/include/configs/espt.h
@@ -85,7 +85,6 @@
 #define CONFIG_SYS_MONITOR_LEN		(128 * 1024)
 /* Size of DRAM reserved for malloc() use */
 #define CONFIG_SYS_MALLOC_LEN		(1024 * 1024)
-/* size in bytes reserved for initial data */
 #define CONFIG_SYS_BOOTMAPSZ		(8 * 1024 * 1024)
 
 #define CONFIG_SYS_FLASH_CFI
diff --git a/include/configs/galaxy5200.h b/include/configs/galaxy5200.h
index 9535eb9..a38298f 100644
--- a/include/configs/galaxy5200.h
+++ b/include/configs/galaxy5200.h
@@ -209,8 +209,6 @@
 /* End of used area in SPRAM */
 #define CONFIG_SYS_INIT_RAM_SIZE		MPC5XXX_SRAM_SIZE
 
-/* Size in bytes reserved for initial data */
-
 #define CONFIG_SYS_GBL_DATA_OFFSET	(CONFIG_SYS_INIT_RAM_SIZE - \
 						GENERATED_GBL_DATA_SIZE)
 #define CONFIG_SYS_INIT_SP_OFFSET	CONFIG_SYS_GBL_DATA_OFFSET
diff --git a/include/configs/imx27lite-common.h b/include/configs/imx27lite-common.h
index b8dc5aa..bc1fa00 100644
--- a/include/configs/imx27lite-common.h
+++ b/include/configs/imx27lite-common.h
@@ -88,7 +88,6 @@
  */
 /* malloc() len */
 #define CONFIG_SYS_MALLOC_LEN		(0x10000 + 512 * 1024)
-/* reserved for initial data */
 /* memtest start address */
 #define CONFIG_SYS_MEMTEST_START	0xA0000000
 #define CONFIG_SYS_MEMTEST_END		0xA1000000	/* 16MB RAM test */
diff --git a/include/configs/ipek01.h b/include/configs/ipek01.h
index d382138..ba08d92 100644
--- a/include/configs/ipek01.h
+++ b/include/configs/ipek01.h
@@ -266,8 +266,6 @@
 /* End of used area in DPRAM */
 #define CONFIG_SYS_INIT_RAM_SIZE		MPC5XXX_SRAM_SIZE
 
-/* size in bytes reserved for initial data */
-
 #define CONFIG_SYS_GBL_DATA_OFFSET	(CONFIG_SYS_INIT_RAM_SIZE - \
 					 GENERATED_GBL_DATA_SIZE)
 #define CONFIG_SYS_INIT_SP_OFFSET	CONFIG_SYS_GBL_DATA_OFFSET
diff --git a/include/configs/km_arm.h b/include/configs/km_arm.h
index bf77cc0..020231e 100644
--- a/include/configs/km_arm.h
+++ b/include/configs/km_arm.h
@@ -107,8 +107,6 @@
 
 #define CONFIG_KM_CONSOLE_TTY	"ttyS0"
 
-/* size in bytes reserved for initial data */
-
 /*
  * Other required minimal configurations
  */
diff --git a/include/configs/mv-common.h b/include/configs/mv-common.h
index a8937dd..425cdc4 100644
--- a/include/configs/mv-common.h
+++ b/include/configs/mv-common.h
@@ -93,7 +93,6 @@
  * Size of malloc() pool
  */
 #define CONFIG_SYS_MALLOC_LEN	(1024 * 1024) /* 1MiB for malloc() */
-/* size in bytes reserved for initial data */
 
 /*
  * Other required minimal configurations
diff --git a/include/configs/mx31pdk.h b/include/configs/mx31pdk.h
index 86c758f..b7c3d91 100644
--- a/include/configs/mx31pdk.h
+++ b/include/configs/mx31pdk.h
@@ -53,7 +53,6 @@
  * Size of malloc() pool
  */
 #define CONFIG_SYS_MALLOC_LEN		(2*CONFIG_ENV_SIZE + 2 * 128 * 1024)
-/* Bytes reserved for initial data */
 
 /*
  * Hardware drivers
diff --git a/include/configs/ns9750dev.h b/include/configs/ns9750dev.h
index e6b774f..8ecd2a9 100644
--- a/include/configs/ns9750dev.h
+++ b/include/configs/ns9750dev.h
@@ -50,7 +50,6 @@
  * Size of malloc() pool
  */
 #define CONFIG_SYS_MALLOC_LEN		(CONFIG_ENV_SIZE + 128*1024)
-					 * data */
 
 /*
  * Hardware drivers
diff --git a/include/configs/omap3_beagle.h b/include/configs/omap3_beagle.h
index 5cfa4cb..5c64e97 100644
--- a/include/configs/omap3_beagle.h
+++ b/include/configs/omap3_beagle.h
@@ -75,7 +75,6 @@
 #define CONFIG_ENV_SIZE			(128 << 10)	/* 128 KiB */
 						/* Sector */
 #define CONFIG_SYS_MALLOC_LEN		(CONFIG_ENV_SIZE + (128 << 10))
-						/* initial data */
 
 /*
  * Hardware drivers
diff --git a/include/configs/omap3_evm.h b/include/configs/omap3_evm.h
index 5bdb3fd..2e7ba41 100644
--- a/include/configs/omap3_evm.h
+++ b/include/configs/omap3_evm.h
@@ -71,7 +71,6 @@
 #define CONFIG_ENV_SIZE			(128 << 10)	/* 128 KiB */
 						/* Sector */
 #define CONFIG_SYS_MALLOC_LEN		(CONFIG_ENV_SIZE + (128 << 10))
-						/* initial data */
 /*
  * Hardware drivers
  */
diff --git a/include/configs/omap3_overo.h b/include/configs/omap3_overo.h
index 1b3d439..bf40e8d 100644
--- a/include/configs/omap3_overo.h
+++ b/include/configs/omap3_overo.h
@@ -58,7 +58,6 @@
 #define CONFIG_ENV_SIZE			(128 << 10)	/* 128 KiB */
 						/* Sector */
 #define CONFIG_SYS_MALLOC_LEN		(CONFIG_ENV_SIZE + (128 << 10))
-						/* initial data */
 
 /*
  * Hardware drivers
diff --git a/include/configs/omap3_sdp3430.h b/include/configs/omap3_sdp3430.h
index 4708981..4697b56 100644
--- a/include/configs/omap3_sdp3430.h
+++ b/include/configs/omap3_sdp3430.h
@@ -78,7 +78,6 @@
  */
 #define CONFIG_ENV_SIZE			(256 << 10)
 #define CONFIG_SYS_MALLOC_LEN		(CONFIG_ENV_SIZE + (256 << 10))
-						/* initial data */
 
 /*--------------------------------------------------------------------------*/
 
diff --git a/include/configs/omap3_zoom1.h b/include/configs/omap3_zoom1.h
index f7d0652..14e22d9 100644
--- a/include/configs/omap3_zoom1.h
+++ b/include/configs/omap3_zoom1.h
@@ -67,7 +67,6 @@
 #define CONFIG_ENV_SIZE			(128 << 10)	/* 128 KiB */
 						/* Sector */
 #define CONFIG_SYS_MALLOC_LEN		(CONFIG_ENV_SIZE + (128 << 10))
-						/* initial data */
 
 /*
  * Hardware drivers
diff --git a/include/configs/omap3_zoom2.h b/include/configs/omap3_zoom2.h
index 7377933..7b2cfab 100644
--- a/include/configs/omap3_zoom2.h
+++ b/include/configs/omap3_zoom2.h
@@ -68,7 +68,6 @@
 #define CONFIG_ENV_SIZE			(128 << 10)	/* 128 KiB */
 						/* Sector */
 #define CONFIG_SYS_MALLOC_LEN		(CONFIG_ENV_SIZE + (128 << 10))
-						/* initial data */
 /*
  * Hardware drivers
  */
diff --git a/include/configs/omap4_panda.h b/include/configs/omap4_panda.h
index 2b03b0f..ba9acb4 100644
--- a/include/configs/omap4_panda.h
+++ b/include/configs/omap4_panda.h
@@ -67,7 +67,6 @@
  */
 #define CONFIG_ENV_SIZE			(256 << 10)
 #define CONFIG_SYS_MALLOC_LEN		(CONFIG_ENV_SIZE + (256 << 10))
-						/* initial data */
 /* Vector Base */
 #define CONFIG_SYS_CA9_VECTOR_BASE	SRAM_ROM_VECT_BASE
 
diff --git a/include/configs/omap4_sdp4430.h b/include/configs/omap4_sdp4430.h
index 9a8bb73..976f1c1 100644
--- a/include/configs/omap4_sdp4430.h
+++ b/include/configs/omap4_sdp4430.h
@@ -68,7 +68,6 @@
  */
 #define CONFIG_ENV_SIZE			(128 << 10)
 #define CONFIG_SYS_MALLOC_LEN		(CONFIG_ENV_SIZE + (256 << 10))
-						/* initial data */
 /* Vector Base */
 #define CONFIG_SYS_CA9_VECTOR_BASE	SRAM_ROM_VECT_BASE
 
diff --git a/include/configs/pcm030.h b/include/configs/pcm030.h
index 676f40c..1c4d722 100644
--- a/include/configs/pcm030.h
+++ b/include/configs/pcm030.h
@@ -225,7 +225,6 @@ RTC configuration
 #define CONFIG_SYS_INIT_RAM_ADDR	MPC5XXX_SRAM
 #define CONFIG_SYS_INIT_RAM_SIZE	MPC5XXX_SRAM_SIZE	/* Size of used */
 								/* area in DPRAM */
-						/* reserved for initial data */
 #define CONFIG_SYS_GBL_DATA_OFFSET	(CONFIG_SYS_INIT_RAM_SIZE - \
 						GENERATED_GBL_DATA_SIZE)
 #define CONFIG_SYS_INIT_SP_OFFSET	CONFIG_SYS_GBL_DATA_OFFSET
diff --git a/include/configs/qong.h b/include/configs/qong.h
index e2f7a5e..7a8445e 100644
--- a/include/configs/qong.h
+++ b/include/configs/qong.h
@@ -42,7 +42,6 @@
  * Size of malloc() pool
  */
 #define CONFIG_SYS_MALLOC_LEN		(CONFIG_ENV_SIZE + 1024 * 1024)
-/* size in bytes reserved for initial data */
 
 /*
  * Hardware drivers
diff --git a/include/configs/r2dplus.h b/include/configs/r2dplus.h
index 5534b49..6575916 100644
--- a/include/configs/r2dplus.h
+++ b/include/configs/r2dplus.h
@@ -59,7 +59,6 @@
 #define CONFIG_SYS_MONITOR_LEN		(256 * 1024)
 /* Size of DRAM reserved for malloc() use */
 #define CONFIG_SYS_MALLOC_LEN		(1024 * 1024)
-/* size in bytes reserved for initial data */
 #define CONFIG_SYS_BOOTMAPSZ		(8 * 1024 * 1024)
 
 /*
diff --git a/include/configs/r7780mp.h b/include/configs/r7780mp.h
index e1febf3..408a7e0 100644
--- a/include/configs/r7780mp.h
+++ b/include/configs/r7780mp.h
@@ -101,7 +101,6 @@
 /* Size of DRAM reserved for malloc() use */
 #define CONFIG_SYS_MALLOC_LEN		(1204 * 1024)
 
-/* size in bytes reserved for initial data */
 #define CONFIG_SYS_BOOTMAPSZ		(8 * 1024 * 1024)
 #define CONFIG_SYS_RX_ETH_BUFFER	(8)
 
diff --git a/include/configs/s5p_goni.h b/include/configs/s5p_goni.h
index 597cf57..d648ce8 100644
--- a/include/configs/s5p_goni.h
+++ b/include/configs/s5p_goni.h
@@ -56,7 +56,6 @@
  * 1MB = 0x100000, 0x100000 = 1024 * 1024
  */
 #define CONFIG_SYS_MALLOC_LEN		(CONFIG_ENV_SIZE + (1 << 20))
-						/* initial data */
 /*
  * select serial console configuration
  */
diff --git a/include/configs/sbc8240.h b/include/configs/sbc8240.h
index 5993be6..2267677 100644
--- a/include/configs/sbc8240.h
+++ b/include/configs/sbc8240.h
@@ -199,9 +199,6 @@ typedef unsigned int led_id_t;
  * Definitions for initial stack pointer and data area
  */
 
-	/* Size in bytes reserved for initial data
-	 */
-
 #define CONFIG_SYS_INIT_RAM_ADDR     0x40000000
 #define CONFIG_SYS_INIT_RAM_SIZE      0x1000
 #define CONFIG_SYS_GBL_DATA_OFFSET  (CONFIG_SYS_INIT_RAM_SIZE - GENERATED_GBL_DATA_SIZE)
diff --git a/include/configs/sc3.h b/include/configs/sc3.h
index 873d3b4..a254eda 100644
--- a/include/configs/sc3.h
+++ b/include/configs/sc3.h
@@ -480,7 +480,6 @@
   (offset only)
 
 */
-/* size in bytes reserved for initial data */
 #define CONFIG_SYS_GBL_DATA_OFFSET   (CONFIG_SYS_INIT_RAM_SIZE - GENERATED_GBL_DATA_SIZE)
 /* Initial value of the stack pointern in internal SRAM */
 #define CONFIG_SYS_INIT_SP_OFFSET    CONFIG_SYS_GBL_DATA_OFFSET
diff --git a/include/configs/sh7763rdp.h b/include/configs/sh7763rdp.h
index 6a08413..1221cd5 100644
--- a/include/configs/sh7763rdp.h
+++ b/include/configs/sh7763rdp.h
@@ -85,7 +85,6 @@
 #define CONFIG_SYS_MONITOR_LEN		(128 * 1024)
 /* Size of DRAM reserved for malloc() use */
 #define CONFIG_SYS_MALLOC_LEN		(1024 * 1024)
-/* size in bytes reserved for initial data */
 #define CONFIG_SYS_BOOTMAPSZ		(8 * 1024 * 1024)
 
 #define CONFIG_SYS_FLASH_CFI
diff --git a/include/configs/smdkc100.h b/include/configs/smdkc100.h
index 1ae1234..70e23b5 100644
--- a/include/configs/smdkc100.h
+++ b/include/configs/smdkc100.h
@@ -61,7 +61,6 @@
  * 1MB = 0x100000, 0x100000 = 1024 * 1024
  */
 #define CONFIG_SYS_MALLOC_LEN		(CONFIG_ENV_SIZE + (1 << 20))
-						/* initial data */
 /*
  * select serial console configuration
  */
diff --git a/include/configs/tx25.h b/include/configs/tx25.h
index 8f8a1a3..b284daa 100644
--- a/include/configs/tx25.h
+++ b/include/configs/tx25.h
@@ -65,7 +65,6 @@
  */
 /* malloc() len */
 #define CONFIG_SYS_MALLOC_LEN		(1 << 20)	/* 1 MiB */
-/* reserved for initial data */
 /*
  * Board has 2 32MB banks of DRAM but there is a bug when using
  * both so only the first is configured
diff --git a/include/configs/versatile.h b/include/configs/versatile.h
index 45d8434..db68965 100644
--- a/include/configs/versatile.h
+++ b/include/configs/versatile.h
@@ -75,7 +75,6 @@
  * Size of malloc() pool
  */
 #define CONFIG_SYS_MALLOC_LEN		(CONFIG_ENV_SIZE + 128 * 1024)
-/* size in bytes reserved for initial data */
 
 /*
  * Hardware drivers
diff --git a/include/configs/vision2.h b/include/configs/vision2.h
index 4c8e7fa..dc3a028 100644
--- a/include/configs/vision2.h
+++ b/include/configs/vision2.h
@@ -46,8 +46,6 @@
  */
 #define CONFIG_SYS_MALLOC_LEN		(2048 * 1024)
 
-/* size in bytes reserved for initial data */
-
 /*
  * Hardware drivers
  */